package javax.security.auth.callback;

import java.io.Serializable;

public class PasswordCallback implements Callback, Serializable
{
    private static final long serialVersionUID = 2267422647454909926L;
    private String prompt;
    private boolean echoOn;
    private char[] inputPassword;
    
    public PasswordCallback(String prompt, boolean echoOn) {
        if (prompt == null || prompt.length() == 0) {
            throw new IllegalArgumentException();
        }
        this.prompt = prompt;
        this.echoOn = echoOn;
        return;
    }
    
    public String getPrompt() {
        return this.prompt;
    }
    
    public boolean isEchoOn() {
        return this.echoOn;
    }
    
    public void setPassword(char[] array) {
        this.inputPassword = ((array == null) ? null : ((char[])array.clone()));
    }
    
    public char[] getPassword() {
        return (this.inputPassword == null) ? null : ((char[])this.inputPassword.clone());
    }
    
    public void clearPassword() {
        if (this.inputPassword != null) {
            for (int i = 0; i < this.inputPassword.length; ++i) {
                this.inputPassword[i] = ' ';
            }
        }
    }
}
